<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en"
      xmlns:th="http://thymeleaf.org/"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">

    <title>Admin panel</title>

    <link rel="canonical" href="https://getbootstrap.com/docs/5.0/examples/starter-template/">

    

    <!-- Bootstrap core CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">

    <style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }
    </style>

    
    <!-- Custom styles for this template -->
    <link href="starter-template.css" rel="stylesheet">
  </head>
  <body>

  <nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
    <div class="container-fluid">
      <a class="navbar-brand" href="#">Administratorski panel knjizara.rs</a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse" id="navbarsExampleDefault">
        <ul class="navbar-nav me-auto mb-2 mb-md-0">
          <form sec:authorize="hasRole('ROLE_ADMIN')">
            <li class="nav-item active">
              <a class="nav-link" aria-current="page" href="/korisnici">Korisnici</a>
            </li>
          </form>
          <li class="nav-item">
            <a class="nav-link" href="/knjige12">Knjige</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/" tabindex="-1" >Povratak na pocetnu</a>
          </li>

        </ul>
      </div>
    </div>
  </nav>
<br><br>
<main class="container">

  <div class="container my-2">
    <h1>Employees List</h1>

    <a th:href="@{/korisnici/dodajKorisnik}" class="btn btn-primary btn-sm mb-3"> Dodaj korisnika </a>

    <table border="1" class="table table-striped table-responsive-md">
      <thead>
      <tr>
        <th>Ime korisnika</th>
        <th>Prezime</th>
        <th>Email</th>
        <th>Korisnicko ime</th>
        <th>Password</th>
        <th>Adresa</th>
        <th>Broj telefona</th>
        <th>Datum rodjenja</th>
        <th>Dat reg</th>
        <th>Akcija :</th>
      </tr>
      </thead>
      <tbody>
      <tr th:each="korisnik : ${listaKorisnika}">
        <td th:text="${korisnik.ime}"></td>
        <td th:text="${korisnik.prezime}"></td>
        <td th:text="${korisnik.email}"></td>
        <td th:text="${korisnik.username}"></td>
        <td th:text="${korisnik.password}"></td>
        <td th:text="${korisnik.adresa}"></td>
        <td th:text="${korisnik.brTelefona}"></td>
        <td th:text="${korisnik.datumRodjenja}"></td>
        <td th:text="${korisnik.datReg}"></td>

        <td> <a th:href="@{/korisnici/updateKorisnik/{id}(id=${korisnik.id})}" class="btn btn-primary">Izmena</a>
          <!--th:href="@{/korisnici/deleteKorisnik/{id}(id=${korisnik.id})}" -->
          <a  onClick="obrisiFunct()" class="btn btn-danger">Obrisi</a>
        </td>
      </tr>
      </tbody>
    </table>
  </div>

</main><!-- /.container -->


<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>

      
  </body>
</html>
